use serde::{Deserialize, Serialize};
use std::collections::HashSet;
use crate::models::player::Player;

#[derive(Serialize, Deserialize, Debug, Clone, Default)]
pub struct TownDb {
    pub residents: HashSet<u64>,
}

#[derive(Serialize, Deserialize, Debug, Clone, Default)]
pub struct Town {
    pub residents: Vec<Player>,
}
